POST Agents/CustomerService/GetPreviewFaqEntry
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
POST /api/v1/Agents/CustomerService/GetPreviewFaqEntry
Get a faq entry from its faq entry id
NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/CustomerService/GetPreviewFaqEntry?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
KbEntryId
| Property Name | Type | Description |
|---|---|---|
| KbEntryId | Integer |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: PreviewFaqEntry
| Property Name | Type | Description |
|---|---|---|
| Title | string | The title of this entry. |
| RegisteredByFullName | string | Full name of associate that created this faq entry |
| Updated | date-time | Date/time this faq entry was last updated. |
| Question | string | The question for this entry. |
| Answer | string | The answer for this entry. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/CustomerService/GetPreviewFaqEntry
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"KbEntryId": 976
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"Title": "How to reset your password",
"RegisteredByFullName": "Michael Thompson",
"Updated": "2002-07-24T10:10:59.5848504+02:00",
"Question": "I forgot my password. How can I reset it?",
"Answer": "Click on 'Forgot Password' on the login page. Enter your email address and follow the instructions sent to your inbox. The password reset link will expire in 24 hours.",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 317
}
}
}